WSE · Schnittstellen
Stammdaten & Einstellungen
Verbinden Sie WSE mit Ihren Anwendungen. Entdecken Sie Endpunkte, Datenmodelle und Schnittstellen – nach Funktionsbereichen und Add-ons geordnet.
Stammdaten & Einstellungen
ERP API Dokumentation
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/settings' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 500
- default
{- "system_settings": {
- "einvoice": {
- "business_process_id": "urn:fdc:peppol.eu:2017:poacc:billing:01:1.0",
- "specification_identifier": "urn:cen.eu:en16931:2017#compliant#urn:xeinkauf.de:kosit:xrechnung_3.0"
}, - "identifier_schemes": {
- "electronic_address": "EM",
- "legal_registration": "0002",
- "seller_identifier": "0088"
}, - "import_limits": {
- "max_customer_import_file_size_mb": 5,
- "max_customer_import_rows": 10000,
- "max_extra_invoice_position_import_file_size_mb": 10,
- "max_extra_invoice_position_import_rows": 100000,
- "max_product_import_file_size_mb": 5,
- "max_product_import_rows": 10000,
- "max_returned_import_errors": 1000
}, - "workers": {
- "datev_export_worker": {
- "job_size_documents": 500,
- "poll_seconds": 5,
- "processing_batch_size_documents": 100,
- "stale_after_minutes": 30
}, - "invoice_document_worker": {
- "job_size_invoices": 500,
- "poll_seconds": 5,
- "processing_batch_size_invoices": 50,
- "stale_after_minutes": 30
}, - "invoice_run_worker": {
- "job_size_customers": 1000,
- "poll_seconds": 5,
- "processing_batch_size_customers": 100,
- "stale_after_minutes": 30
}
}
}, - "updated_at": "2026-06-04T12:00:00Z",
- "updated_by": "settings-admin",
- "user_settings": {
- "billing": {
- "discount_position_label": "Discount",
- "invoice_grouping": "by_customer",
- "recurring_billing_timing": "period_start"
}, - "datev": {
- "beraternummer": "",
- "mandantennummer": ""
}, - "display": {
- "date_format": "DD.MM.YYYY"
}, - "document_numbering": {
- "corrective_invoice": {
- "initial_number": 10000,
- "prefix": "2023",
- "separator": "-"
}, - "invoice": {
- "initial_number": 10000,
- "prefix": "2023",
- "separator": "-"
}, - "order_confirmation": {
- "initial_number": 10000,
- "prefix": "2023",
- "separator": "-"
}, - "payment_reminder": {
- "initial_number": 10000,
- "prefix": "2023",
- "separator": "-"
}, - "quotation": {
- "initial_number": 10000,
- "prefix": "2023",
- "separator": "-"
}, - "self_billing_invoice": {
- "initial_number": 10000,
- "prefix": "2023",
- "separator": "-"
}
}, - "organization_data": {
- "additional_legal_information": "Managing director: Max Example",
- "address": {
- "city": "Kassel",
- "country_code": "DE",
- "country_subdivision": "Hessen",
- "line_1": "Example Street 1",
- "line_2": "Building A",
- "line_3": "3rd floor",
- "post_code": "34117"
}, - "business_identification_number": "DE123456789-00001",
- "contact": {
- "department_name": "Accounting",
- "email_address": "billing@example.com",
- "person_name": "Pat Example",
- "telephone_number": "+49 561 1234567"
}, - "electronic_address": "billing@example.com",
- "legal_registration": "HRB 12345",
- "name": "Example GmbH",
- "seller_identifier": "991-12345-67890",
- "tax_registration_identifier": "26/123/45678",
- "tax_representative": {
- "name": "Tax Representative GmbH",
- "vat_identifier": "DE987654321"
}, - "trading_name": "Example Billing",
- "vat_identifier": "DE123456789"
}
}, - "version": 1
}Patch Settings
Update business settings in the singleton database row.
Authorizations:
Request Body schema: application/jsonrequired
required | object (UserSettingsPatch) User-configurable settings patch | ||||||||||
| |||||||||||
Version (integer) or Version (null) (Version) Optional expected settings version for optimistic locking | |||||||||||
Any of >= 0 integer (Version) >= 0 Optional expected settings version for optimistic locking | |||||||||||
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "user_settings": {
- "billing": {
- "discount_position_label": "Discount",
- "invoice_grouping": "by_customer",
- "recurring_billing_timing": "period_start"
}, - "datev": {
- "beraternummer": "",
- "mandantennummer": ""
}, - "display": {
- "date_format": "DD.MM.YYYY"
}, - "document_numbering": {
- "corrective_invoice": {
- "initial_number": 10000,
- "prefix": "2023",
- "separator": "-"
}, - "invoice": {
- "initial_number": 10000,
- "prefix": "2023",
- "separator": "-"
}, - "order_confirmation": {
- "initial_number": 10000,
- "prefix": "2023",
- "separator": "-"
}, - "payment_reminder": {
- "initial_number": 10000,
- "prefix": "2023",
- "separator": "-"
}, - "quotation": {
- "initial_number": 10000,
- "prefix": "2023",
- "separator": "-"
}, - "self_billing_invoice": {
- "initial_number": 10000,
- "prefix": "2023",
- "separator": "-"
}
}, - "organization_data": {
- "additional_legal_information": "Managing director: Max Example",
- "address": {
- "city": "Kassel",
- "country_code": "DE",
- "country_subdivision": "Hessen",
- "line_1": "Example Street 1",
- "line_2": "Building A",
- "line_3": "3rd floor",
- "post_code": "34117"
}, - "business_identification_number": "DE123456789-00001",
- "contact": {
- "department_name": "Accounting",
- "email_address": "billing@example.com",
- "person_name": "Pat Example",
- "telephone_number": "+49 561 1234567"
}, - "electronic_address": "billing@example.com",
- "legal_registration": "HRB 12345",
- "name": "Example GmbH",
- "seller_identifier": "991-12345-67890",
- "tax_registration_identifier": "26/123/45678",
- "tax_representative": {
- "name": "Tax Representative GmbH",
- "vat_identifier": "DE987654321"
}, - "trading_name": "Example Billing",
- "vat_identifier": "DE123456789"
}
}, - "version": 3
}Response samples
- 200
- 409
- 422
- 500
- default
{- "system_settings": {
- "einvoice": {
- "business_process_id": "urn:fdc:peppol.eu:2017:poacc:billing:01:1.0",
- "specification_identifier": "urn:cen.eu:en16931:2017#compliant#urn:xeinkauf.de:kosit:xrechnung_3.0"
}, - "identifier_schemes": {
- "electronic_address": "EM",
- "legal_registration": "0002",
- "seller_identifier": "0088"
}, - "import_limits": {
- "max_customer_import_file_size_mb": 5,
- "max_customer_import_rows": 10000,
- "max_extra_invoice_position_import_file_size_mb": 10,
- "max_extra_invoice_position_import_rows": 100000,
- "max_product_import_file_size_mb": 5,
- "max_product_import_rows": 10000,
- "max_returned_import_errors": 1000
}, - "workers": {
- "datev_export_worker": {
- "job_size_documents": 500,
- "poll_seconds": 5,
- "processing_batch_size_documents": 100,
- "stale_after_minutes": 30
}, - "invoice_document_worker": {
- "job_size_invoices": 500,
- "poll_seconds": 5,
- "processing_batch_size_invoices": 50,
- "stale_after_minutes": 30
}, - "invoice_run_worker": {
- "job_size_customers": 1000,
- "poll_seconds": 5,
- "processing_batch_size_customers": 100,
- "stale_after_minutes": 30
}
}
}, - "updated_at": "2026-06-04T12:00:00Z",
- "updated_by": "settings-admin",
- "user_settings": {
- "billing": {
- "discount_position_label": "Discount",
- "invoice_grouping": "by_customer",
- "recurring_billing_timing": "period_start"
}, - "datev": {
- "beraternummer": "",
- "mandantennummer": ""
}, - "display": {
- "date_format": "DD.MM.YYYY"
}, - "document_numbering": {
- "corrective_invoice": {
- "initial_number": 10000,
- "prefix": "2023",
- "separator": "-"
}, - "invoice": {
- "initial_number": 10000,
- "prefix": "2023",
- "separator": "-"
}, - "order_confirmation": {
- "initial_number": 10000,
- "prefix": "2023",
- "separator": "-"
}, - "payment_reminder": {
- "initial_number": 10000,
- "prefix": "2023",
- "separator": "-"
}, - "quotation": {
- "initial_number": 10000,
- "prefix": "2023",
- "separator": "-"
}, - "self_billing_invoice": {
- "initial_number": 10000,
- "prefix": "2023",
- "separator": "-"
}
}, - "organization_data": {
- "additional_legal_information": "Managing director: Max Example",
- "address": {
- "city": "Kassel",
- "country_code": "DE",
- "country_subdivision": "Hessen",
- "line_1": "Example Street 1",
- "line_2": "Building A",
- "line_3": "3rd floor",
- "post_code": "34117"
}, - "business_identification_number": "DE123456789-00001",
- "contact": {
- "department_name": "Accounting",
- "email_address": "billing@example.com",
- "person_name": "Pat Example",
- "telephone_number": "+49 561 1234567"
}, - "electronic_address": "billing@example.com",
- "legal_registration": "HRB 12345",
- "name": "Example GmbH",
- "seller_identifier": "991-12345-67890",
- "tax_registration_identifier": "26/123/45678",
- "tax_representative": {
- "name": "Tax Representative GmbH",
- "vat_identifier": "DE987654321"
}, - "trading_name": "Example Billing",
- "vat_identifier": "DE123456789"
}
}, - "version": 1
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/settings/datev' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- default
{- "consultant_number": "string",
- "client_number": "string",
- "version": 0
}Put Datev Settings
Authorizations:
Request Body schema: application/jsonrequired
| consultant_number required | string (Consultant Number) ^(?:[1-9]\d{3,6})?$ |
| client_number required | string (Client Number) ^(?:[1-9]\d{0,4})?$ |
| version required | integer (Version) >= 0 |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "consultant_number": "string",
- "client_number": "string",
- "version": 0
}Response samples
- 200
- 409
- 422
- default
{- "consultant_number": "string",
- "client_number": "string",
- "version": 0
}Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/settings/bank-accounts' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- default
{- "items": [
- {
- "bank_account_id": "9335a679-63ab-44d5-9de9-e01e0c5a1fff",
- "account_holder": "string",
- "bank_name": "string",
- "iban": "string",
- "bic": "string",
- "position": 0,
- "banking_requested": true,
- "banking_error": "string"
}
], - "version": 0
}Save Bank Accounts
Authorizations:
Request Body schema: application/jsonrequired
required | Array of objects (Items) | ||||||||||
Array
| |||||||||||
| version required | integer (Version) >= 1 | ||||||||||
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "items": [
- {
- "bank_account_id": "9335a679-63ab-44d5-9de9-e01e0c5a1fff",
- "account_holder": "string",
- "bank_name": "string",
- "iban": "string",
- "bic": "string"
}
], - "version": 1
}Response samples
- 200
- 409
- 422
- default
{- "items": [
- {
- "bank_account_id": "9335a679-63ab-44d5-9de9-e01e0c5a1fff",
- "account_holder": "string",
- "bank_name": "string",
- "iban": "string",
- "bic": "string",
- "position": 0,
- "banking_requested": true,
- "banking_error": "string"
}
], - "version": 0
}Get All Accounts
Retrieve all accounts with pagination, sorting and filtering.
Authorizations:
query Parameters
| skip | integer (Skip) >= 0 Default: 0 Number of records to skip |
| limit | integer (Limit) [ 1 .. 1000 ] Default: 100 Max number of records to return |
| sort_by | string (Sort By) Default: "account_no" Enum: "description" "account_no" "last_change" Field used for sorting |
| sort_order | string (Sort Order) Default: "asc" Enum: "asc" "desc" Sort direction |
Description (string) or Description (null) (Description) Filter by description using LIKE | |
Account No (string) or Account No (null) (Account No) Filter by account number using exact match |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/accounts?skip=0&limit=100&sort_by=description&sort_order=asc&description=string&account_no=string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- 500
- default
{- "total_count": 0,
- "items": [
- {
- "description": "Erlöse 19%",
- "account_no": "4400",
- "account_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}
]
}Create Account
Create a new account. It is imported for all financial exports.
Authorizations:
Request Body schema: application/jsonrequired
Description (string) or Description (null) (Description) Name of the Account | |
Any of <= 200 characters string (Description) <= 200 characters Name of the Account | |
Account No (string) or Account No (null) (Account No) Number of the account for financial accounting | |
Any of <= 200 characters string (Account No) <= 200 characters Number of the account for financial accounting | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "description": "Erlöse 19%",
- "account_no": "4400"
}Response samples
- 201
- 400
- 422
- 500
- default
{- "description": "Erlöse 19%",
- "account_no": "4400",
- "account_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Get Account
Retrieve a specific account by its ID.
Authorizations:
path Parameters
| account_id required | string <uuid4> (Account Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/accounts/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 404
- 422
- 500
- default
{- "description": "Erlöse 19%",
- "account_no": "4400",
- "account_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Update Account
Update a specific account
Authorizations:
path Parameters
| account_id required | string <uuid4> (Account Id) |
Request Body schema: application/jsonrequired
Description (string) or Description (null) (Description) Name of the Account | |
Any of <= 200 characters string (Description) <= 200 characters Name of the Account | |
Account No (string) or Account No (null) (Account No) Number of the account for financial accounting | |
Any of <= 200 characters string (Account No) <= 200 characters Number of the account for financial accounting | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "description": "Erlöse 19%",
- "account_no": "4400"
}Response samples
- 200
- 400
- 404
- 422
- 500
- default
{- "description": "Erlöse 19%",
- "account_no": "4400",
- "account_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Delete Account
Delete a specific account if it is not referenced by other records.
Authorizations:
path Parameters
| account_id required | string <uuid4> (Account Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/accounts/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 202
- 404
- 422
- 500
- 547
- default
{- "message": "string"
}Get Bank Data
Retrieve a specific bank data entry.
Authorizations:
path Parameters
| bank_data_id required | string <uuid4> (Bank Data Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/bank-data/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 404
- 422
- 500
- default
{- "bic": "GENODEF1M03",
- "shortname": "Volksbank Musterstadt",
- "longname": "Volksbank Musterstadt eG",
- "bank_data_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Update Bank Data
Update a specific bank data record.
Authorizations:
path Parameters
| bank_data_id required | string <uuid4> (Bank Data Id) |
Request Body schema: application/jsonrequired
Bic (string) or Bic (null) (Bic) BIC of the bank | |
Any of <= 200 characters string (Bic) <= 200 characters BIC of the bank | |
Shortname (string) or Shortname (null) (Shortname) Shortname of the bank | |
Any of <= 200 characters string (Shortname) <= 200 characters Shortname of the bank | |
Longname (string) or Longname (null) (Longname) Longname of the bank including the legal form | |
Any of <= 200 characters string (Longname) <= 200 characters Longname of the bank including the legal form | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "bic": "GENODEF1M03",
- "shortname": "Volksbank Musterstadt",
- "longname": "Volksbank Musterstadt eG"
}Response samples
- 200
- 400
- 404
- 422
- 500
- default
{- "bic": "GENODEF1M03",
- "shortname": "Volksbank Musterstadt",
- "longname": "Volksbank Musterstadt eG",
- "bank_data_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Delete Bank Data
Delete a specific bank data entry, if no payment is linked to it.
Authorizations:
path Parameters
| bank_data_id required | string <uuid4> (Bank Data Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/bank-data/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 202
- 404
- 422
- 500
- 547
- default
{- "message": "string"
}Get All Bank Data
Retrieve all bank data entries with pagination, sorting and filtering.
Authorizations:
query Parameters
| skip | integer (Skip) >= 0 Default: 0 Number of records to skip |
| limit | integer (Limit) [ 1 .. 1000 ] Default: 100 Maximum number of records to return |
| sort_by | string (Sort By) Default: "shortname" Enum: "shortname" "longname" "bic" "last_change" Field used for sorting |
| sort_order | string (Sort Order) Default: "asc" Enum: "asc" "desc" Sort direction |
Shortname (string) or Shortname (null) (Shortname) Filter by shortname using LIKE | |
Longname (string) or Longname (null) (Longname) Filter by longname using LIKE | |
Bic (string) or Bic (null) (Bic) Filter by bic using LIKE |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/bank-data?skip=0&limit=100&sort_by=shortname&sort_order=asc&shortname=string&longname=string&bic=string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- 500
- default
{- "total_count": 100,
- "items": [
- {
- "bic": "GENODEF1M03",
- "shortname": "Volksbank Musterstadt",
- "longname": "Volksbank Musterstadt eG",
- "bank_data_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}
]
}Create Bank Data
Create a new bank data entry.
Authorizations:
Request Body schema: application/jsonrequired
| bic required | string (Bic) <= 50 characters BIC of the bank |
Shortname (string) or Shortname (null) (Shortname) Shortname of the bank | |
Any of <= 200 characters string (Shortname) <= 200 characters Shortname of the bank | |
Longname (string) or Longname (null) (Longname) Longname of the bank including the legal form | |
Any of <= 200 characters string (Longname) <= 200 characters Longname of the bank including the legal form | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "bic": "ABCDDEFFXXX",
- "shortname": "Volksbank Musterstadt",
- "longname": "Volksbank Musterstadt eG"
}Response samples
- 201
- 400
- 422
- 500
- default
{- "bic": "GENODEF1M03",
- "shortname": "Volksbank Musterstadt",
- "longname": "Volksbank Musterstadt eG",
- "bank_data_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Get Billcycle
Retrieve a specific billcycle.
Authorizations:
path Parameters
| billcycle_id required | string <uuid4> (Billcycle Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/billcycles/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 404
- 422
- 500
- default
{- "description": "for special customers",
- "billcycle_key": "BC1",
- "billcycle_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Update Billcycle
Update a billcycle.
Authorizations:
path Parameters
| billcycle_id required | string <uuid4> (Billcycle Id) |
Request Body schema: application/jsonrequired
Description (string) or Description (null) (Description) Description of the billcycle | |
Any of <= 200 characters string (Description) <= 200 characters Description of the billcycle | |
Billcycle Key (string) or Billcycle Key (null) (Billcycle Key) Unique key for the billcycle | |
Any of <= 50 characters string (Billcycle Key) <= 50 characters Unique key for the billcycle | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "description": "for special customers",
- "billcycle_key": "BC1"
}Response samples
- 200
- 400
- 404
- 422
- 500
- default
{- "description": "for special customers",
- "billcycle_key": "BC1",
- "billcycle_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Delete Billcycle
Delete a billcycle, if not assigned to any customer.
Authorizations:
path Parameters
| billcycle_id required | string <uuid4> (Billcycle Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/billcycles/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 202
- 404
- 422
- 500
- 547
- default
{- "message": "string"
}Get All Billcycles
Retrieve all billcycles with pagination, sorting and filtering.
Authorizations:
query Parameters
| skip | integer (Skip) >= 0 Default: 0 Number of records to skip |
| limit | integer (Limit) [ 1 .. 1000 ] Default: 100 Maximum number of records to return |
| sort_by | string (Sort By) Default: "billcycle_key" Enum: "billcycle_key" "description" "last_change" Field used for sorting |
| sort_order | string (Sort Order) Default: "asc" Enum: "asc" "desc" Sort direction |
Description (string) or Description (null) (Description) Filter by description using LIKE | |
Billcycle Key (string) or Billcycle Key (null) (Billcycle Key) Filter by billcycle key using exact match |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/billcycles?skip=0&limit=100&sort_by=billcycle_key&sort_order=asc&description=string&billcycle_key=string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- 500
- default
{- "total_count": 100,
- "items": [
- {
- "description": "for special customers",
- "billcycle_key": "BC1",
- "billcycle_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}
]
}Create Billcycle
Create a new billcycle.
Authorizations:
Request Body schema: application/jsonrequired
| billcycle_key required | string (Billcycle Key) <= 50 characters Unique key for the billcycle |
| description | string (Description) <= 200 characters Description of the billcycle |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "description": "for special customers",
- "billcycle_key": "BC1"
}Response samples
- 201
- 400
- 422
- 500
- default
{- "description": "for special customers",
- "billcycle_key": "BC1",
- "billcycle_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Get Payment Target
Get a specific payment target.
Authorizations:
path Parameters
| payment_target_id required | string <uuid4> (Payment Target Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/payment-targets/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 404
- 422
- 500
- default
{- "description": "Zahlungsziel 1",
- "target_1_days": 7,
- "target_1_skonto": "3.0",
- "target_2_days": 14,
- "target_2_skonto": "2.0",
- "target_3_days": 30,
- "target_3_skonto": "1.0",
- "payment_target_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Update Payment Target
Update a specific payment target.
Authorizations:
path Parameters
| payment_target_id required | string <uuid4> (Payment Target Id) |
Request Body schema: application/jsonrequired
Description (string) or Description (null) (Description) Description of the payment target | |
Any of <= 200 characters string (Description) <= 200 characters Description of the payment target | |
Target 1 Days (integer) or Target 1 Days (null) (Target 1 Days) Target 1 days of the payment target | |
Any of integer (Target 1 Days) Target 1 days of the payment target | |
Target 1 Skonto (number) or Target 1 Skonto (string) or Target 1 Skonto (null) (Target 1 Skonto) Target 1 skonto of the payment target | |
Any of number (Target 1 Skonto) Target 1 skonto of the payment target | |
Target 2 Days (integer) or Target 2 Days (null) (Target 2 Days) Target 2 days of the payment target | |
Any of integer (Target 2 Days) Target 2 days of the payment target | |
Target 2 Skonto (number) or Target 2 Skonto (string) or Target 2 Skonto (null) (Target 2 Skonto) Target 2 skonto of the payment target | |
Any of number (Target 2 Skonto) Target 2 skonto of the payment target | |
Target 3 Days (integer) or Target 3 Days (null) (Target 3 Days) Target 3 days of the payment target | |
Any of integer (Target 3 Days) Target 3 days of the payment target | |
Target 3 Skonto (number) or Target 3 Skonto (string) or Target 3 Skonto (null) (Target 3 Skonto) Target 3 skonto of the payment target | |
Any of number (Target 3 Skonto) Target 3 skonto of the payment target | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "description": "Zahlungsziel 1",
- "target_1_days": 7,
- "target_1_skonto": "3.0",
- "target_2_days": 14,
- "target_2_skonto": "2.0",
- "target_3_days": 30,
- "target_3_skonto": "1.0"
}Response samples
- 200
- 400
- 404
- 422
- 500
- default
{- "description": "Zahlungsziel 1",
- "target_1_days": 7,
- "target_1_skonto": "3.0",
- "target_2_days": 14,
- "target_2_skonto": "2.0",
- "target_3_days": 30,
- "target_3_skonto": "1.0",
- "payment_target_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Delete Payment Target
Delete a specific payment target.
Authorizations:
path Parameters
| payment_target_id required | string <uuid4> (Payment Target Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/payment-targets/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 202
- 404
- 422
- 500
- default
{- "message": "string"
}Get All Payment Targets
Get all payment targets with pagination, sorting and filtering.
Authorizations:
query Parameters
| skip | integer (Skip) >= 0 Default: 0 |
| limit | integer (Limit) [ 1 .. 1000 ] Default: 100 |
| sort_by | string (Sort By) Default: "last_change" Enum: "last_change" "description" "target_1_days" "target_1_skonto" "target_2_days" "target_2_skonto" "target_3_days" "target_3_skonto" Field used for sorting |
| sort_order | string (Sort Order) Default: "asc" Enum: "asc" "desc" Sort direction |
Description (string) or Description (null) (Description) Filter by description using LIKE | |
Target 1 Days (integer) or Target 1 Days (null) (Target 1 Days) Filter by target_1_days using exact match | |
Target 1 Skonto (number) or Target 1 Skonto (string) or Target 1 Skonto (null) (Target 1 Skonto) Filter by target_1_skonto using exact match | |
Target 2 Days (integer) or Target 2 Days (null) (Target 2 Days) Filter by target_2_days using exact match | |
Target 2 Skonto (number) or Target 2 Skonto (string) or Target 2 Skonto (null) (Target 2 Skonto) Filter by target_2_skonto using exact match | |
Target 3 Days (integer) or Target 3 Days (null) (Target 3 Days) Filter by target_3_days using exact match | |
Target 3 Skonto (number) or Target 3 Skonto (string) or Target 3 Skonto (null) (Target 3 Skonto) Filter by target_3_skonto using exact match |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/payment-targets/?skip=0&limit=100&sort_by=last_change&sort_order=asc&description=string&target_1_days=0&target_1_skonto=0&target_2_days=0&target_2_skonto=0&target_3_days=0&target_3_skonto=0' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- 500
- default
{- "total_count": 100,
- "items": [
- {
- "description": "Zahlungsziel 1",
- "target_1_days": 7,
- "target_1_skonto": "3.0",
- "target_2_days": 14,
- "target_2_skonto": "2.0",
- "target_3_days": 30,
- "target_3_skonto": "1.0",
- "payment_target_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}
]
}Create Payment Target
Create a new payment target.
Authorizations:
Request Body schema: application/jsonrequired
| description required | string (Description) <= 200 characters Description of the payment target |
| target_1_days required | integer (Target 1 Days) Target 1 days of the payment target |
required | Target 1 Skonto (number) or Target 1 Skonto (string) (Target 1 Skonto) Target 1 skonto of the payment target |
Any of number (Target 1 Skonto) Target 1 skonto of the payment target | |
Target 2 Days (integer) or Target 2 Days (null) (Target 2 Days) Target 2 days of the payment target | |
Any of integer (Target 2 Days) Target 2 days of the payment target | |
Target 2 Skonto (number) or Target 2 Skonto (string) or Target 2 Skonto (null) (Target 2 Skonto) Target 2 skonto of the payment target | |
Any of number (Target 2 Skonto) Target 2 skonto of the payment target | |
Target 3 Days (integer) or Target 3 Days (null) (Target 3 Days) Target 3 days of the payment target | |
Any of integer (Target 3 Days) Target 3 days of the payment target | |
Target 3 Skonto (number) or Target 3 Skonto (string) or Target 3 Skonto (null) (Target 3 Skonto) Target 3 skonto of the payment target | |
Any of number (Target 3 Skonto) Target 3 skonto of the payment target | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "description": "Zahlungsziel 1",
- "target_1_days": 7,
- "target_1_skonto": "3.0",
- "target_2_days": 14,
- "target_2_skonto": "2.0",
- "target_3_days": 30,
- "target_3_skonto": "1.0"
}Response samples
- 201
- 400
- 422
- 500
- default
{- "description": "Zahlungsziel 1",
- "target_1_days": 7,
- "target_1_skonto": "3.0",
- "target_2_days": 14,
- "target_2_skonto": "2.0",
- "target_3_days": 30,
- "target_3_skonto": "1.0",
- "payment_target_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Get Tax Type
Get a specific tax type
Authorizations:
path Parameters
| tax_type_id required | string <uuid4> (Tax Type Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/tax-types/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 404
- 422
- 500
- default
{- "description": "Taxes Type 1",
- "taxrate": "19.00",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "tax_type_id": "60c5aab4-d4ba-471c-ade0-a1e85045501c",
- "last_change": "2019-08-24T14:15:22Z"
}Update Tax Type
Update a specific tax type.
Authorizations:
path Parameters
| tax_type_id required | string <uuid4> (Tax Type Id) |
Request Body schema: application/jsonrequired
Description (string) or Description (null) (Description) Description of the tax type | |
Any of <= 200 characters string (Description) <= 200 characters Description of the tax type | |
Taxrate (number) or Taxrate (string) or Taxrate (null) (Taxrate) Tax percentage of the tax type | |
Any of number (Taxrate) Tax percentage of the tax type | |
Account Id (string) or Account Id (null) (Account Id) Optional account assigned to the tax type | |
Any of string <uuid4> (Account Id) Optional account assigned to the tax type | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "description": "Taxes Type 1",
- "taxrate": "19.00",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf"
}Response samples
- 200
- 400
- 404
- 422
- 500
- default
{- "description": "Taxes Type 1",
- "taxrate": "19.00",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "tax_type_id": "60c5aab4-d4ba-471c-ade0-a1e85045501c",
- "last_change": "2019-08-24T14:15:22Z"
}Delete Tax Type
Delete a specific tax type
Authorizations:
path Parameters
| tax_type_id required | string <uuid4> (Tax Type Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/tax-types/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 202
- 404
- 422
- 500
- 547
- default
{- "message": "string"
}Get All Tax Types
Get all tax types with pagination
Authorizations:
query Parameters
| skip | integer (Skip) >= 0 Default: 0 |
| limit | integer (Limit) [ 1 .. 1000 ] Default: 100 |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/tax-types?skip=0&limit=100' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- 500
- default
{- "total_count": 100,
- "items": [
- {
- "description": "Taxes Type 1",
- "taxrate": "19.00",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "tax_type_id": "60c5aab4-d4ba-471c-ade0-a1e85045501c",
- "last_change": "2019-08-24T14:15:22Z"
}
]
}Create Tax Type
Create a new tax type.
Authorizations:
Request Body schema: application/jsonrequired
| description required | string (Description) <= 200 characters Description of the tax type |
required | Taxrate (number) or Taxrate (string) (Taxrate) Tax percentage of the tax type |
Any of number (Taxrate) Tax percentage of the tax type | |
Account Id (string) or Account Id (null) (Account Id) Optional account assigned to the tax type | |
Any of string <uuid4> (Account Id) Optional account assigned to the tax type | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "description": "Taxes Type 1",
- "taxrate": "19.00",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf"
}Response samples
- 201
- 400
- 404
- 422
- 500
- default
{- "description": "Taxes Type 1",
- "taxrate": "19.00",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "tax_type_id": "60c5aab4-d4ba-471c-ade0-a1e85045501c",
- "last_change": "2019-08-24T14:15:22Z"
}Get Terms
Get a specific duration terms
Authorizations:
path Parameters
| terms_id required | string <uuid4> (Terms Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/terms/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 404
- 422
- 500
- default
{- "description": "Default",
- "first_min_term_value": 12,
- "first_cancellation_period_value": 3,
- "min_term_value": 12,
- "cancellation_period_value": 3,
- "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Update Terms
Update a specific duration terms
Authorizations:
path Parameters
| terms_id required | string <uuid4> (Terms Id) |
Request Body schema: application/jsonrequired
Description (string) or Description (null) (Description) Description of the duration terms | |
Any of <= 200 characters string (Description) <= 200 characters Description of the duration terms | |
First Min Term Value (integer) or First Min Term Value (null) (First Min Term Value) First minimum duration term value in months | |
Any of integer (First Min Term Value) First minimum duration term value in months | |
First Cancellation Period Value (integer) or First Cancellation Period Value (null) (First Cancellation Period Value) First cancellation period value in months | |
Any of integer (First Cancellation Period Value) First cancellation period value in months | |
Min Term Value (integer) or Min Term Value (null) (Min Term Value) Minimum duration term value in months | |
Any of integer (Min Term Value) Minimum duration term value in months | |
Cancellation Period Value (integer) or Cancellation Period Value (null) (Cancellation Period Value) Cancellation period value in months | |
Any of integer (Cancellation Period Value) Cancellation period value in months | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "description": "Default",
- "first_min_term_value": 12,
- "first_cancellation_period_value": 3,
- "min_term_value": 12,
- "cancellation_period_value": 3
}Response samples
- 200
- 404
- 422
- 500
- default
{- "description": "Default",
- "first_min_term_value": 12,
- "first_cancellation_period_value": 3,
- "min_term_value": 12,
- "cancellation_period_value": 3,
- "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Delete Terms
Delete a specific duration terms
Authorizations:
path Parameters
| terms_id required | string <uuid4> (Terms Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/terms/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 202
- 404
- 409
- 422
- 500
- default
{- "message": "string"
}Get All Terms
Get all duration terms with pagination
Authorizations:
query Parameters
| skip | integer (Skip) >= 0 Default: 0 |
| limit | integer (Limit) [ 1 .. 1000 ] Default: 100 |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/terms?skip=0&limit=100' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- 500
- default
{- "total_count": 100,
- "items": [
- {
- "description": "Default",
- "first_min_term_value": 12,
- "first_cancellation_period_value": 3,
- "min_term_value": 12,
- "cancellation_period_value": 3,
- "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}
]
}Create Terms
Create a new duration terms.
Authorizations:
Request Body schema: application/jsonrequired
| description required | string (Description) <= 200 characters Description of the duration terms |
| first_min_term_value required | integer (First Min Term Value) First minimum duration term value in months |
| first_cancellation_period_value required | integer (First Cancellation Period Value) First cancellation period value in months |
| min_term_value required | integer (Min Term Value) Minimum duration term value in months |
| cancellation_period_value required | integer (Cancellation Period Value) Cancellation period value in months |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "description": "Default",
- "first_min_term_value": 12,
- "first_cancellation_period_value": 3,
- "min_term_value": 12,
- "cancellation_period_value": 3
}Response samples
- 201
- 422
- 500
- default
{- "description": "Default",
- "first_min_term_value": 12,
- "first_cancellation_period_value": 3,
- "min_term_value": 12,
- "cancellation_period_value": 3,
- "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Get Salutation
Get a specific salutation.
Authorizations:
path Parameters
| salutation_id required | string <uuid4> (Salutation Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/salutations/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 404
- 422
- 500
- default
{- "description": "Herr",
- "salutation_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Update Salutation
Update a specific salutation.
Authorizations:
path Parameters
| salutation_id required | string <uuid4> (Salutation Id) |
Request Body schema: application/jsonrequired
Description (string) or Description (null) (Description) Description of the salutation | |
Any of <= 200 characters string (Description) <= 200 characters Description of the salutation | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "description": "Herr"
}Response samples
- 200
- 400
- 404
- 422
- 500
- default
{- "description": "Herr",
- "salutation_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Delete Salutation
Delete a salutation.
Authorizations:
path Parameters
| salutation_id required | string <uuid4> (Salutation Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/salutations/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 202
- 404
- 422
- 500
- 547
- default
{- "message": "string"
}Get All Salutations
Get all salutations with pagination.
Authorizations:
query Parameters
| skip | integer (Skip) >= 0 Default: 0 |
| limit | integer (Limit) [ 1 .. 1000 ] Default: 100 |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/salutations?skip=0&limit=100' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- 500
- default
{- "total_count": 100,
- "items": [
- {
- "description": "Herr",
- "salutation_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}
]
}Create Salutation
Create a new salutation.
Authorizations:
Request Body schema: application/jsonrequired
| description required | string (Description) <= 200 characters Description of the salutation |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "description": "Herr"
}Response samples
- 201
- 400
- 422
- 500
- default
{- "description": "Herr",
- "salutation_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Get Title
Authorizations:
path Parameters
| title_id required | string <uuid4> (Title Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/titles/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 404
- 422
- 500
- default
{- "description": "Herr",
- "title_id": "07aaacf5-41e3-4fb5-b6a7-cb2c2316ac66",
- "last_change": "2019-08-24T14:15:22Z"
}Update Title
Authorizations:
path Parameters
| title_id required | string <uuid4> (Title Id) |
Request Body schema: application/jsonrequired
Description (string) or Description (null) (Description) Description of the title | |
Any of <= 200 characters string (Description) <= 200 characters Description of the title | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "description": "Herr"
}Response samples
- 200
- 400
- 404
- 422
- 500
- default
{- "description": "Herr",
- "title_id": "07aaacf5-41e3-4fb5-b6a7-cb2c2316ac66",
- "last_change": "2019-08-24T14:15:22Z"
}Delete Title
Authorizations:
path Parameters
| title_id required | string <uuid4> (Title Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/titles/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 202
- 404
- 422
- 500
- 547
- default
{- "message": "string"
}Get All Titles
Authorizations:
query Parameters
| skip | integer (Skip) >= 0 Default: 0 |
| limit | integer (Limit) <= 1000 Default: 100 |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/titles?skip=0&limit=100' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- 500
- default
{- "total_count": 100,
- "items": [
- {
- "description": "Herr",
- "title_id": "07aaacf5-41e3-4fb5-b6a7-cb2c2316ac66",
- "last_change": "2019-08-24T14:15:22Z"
}
]
}Create Title
Authorizations:
Request Body schema: application/jsonrequired
| description required | string (Description) <= 200 characters Description of the title |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "description": "Herr"
}Response samples
- 201
- 400
- 422
- 500
- default
{- "description": "Herr",
- "title_id": "07aaacf5-41e3-4fb5-b6a7-cb2c2316ac66",
- "last_change": "2019-08-24T14:15:22Z"
}Get Address Type
Retrieve a specific address type by its ID.
Authorizations:
path Parameters
| address_type_id required | string <uuid4> (Address Type Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/address-types/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 404
- 422
- 500
- default
{- "description": "Rechnungsadresse",
- "is_billing": true,
- "is_allowed_for_customer": true,
- "is_allowed_for_service": true,
- "address_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Update Address Type
Update a specific address type.
Authorizations:
path Parameters
| address_type_id required | string <uuid4> (Address Type Id) |
Request Body schema: application/jsonrequired
Description (string) or Description (null) (Description) Description of the address type | |
Any of <= 200 characters string (Description) <= 200 characters Description of the address type | |
Is Billing (boolean) or Is Billing (null) (Is Billing) Marks the address type to use for billing, should be unique for a customer | |
Any of boolean (Is Billing) Marks the address type to use for billing, should be unique for a customer | |
Is Allowed For Customer (boolean) or Is Allowed For Customer (null) (Is Allowed For Customer) Default: true Defines whether the address type can be used for customer addresses | |
Any of boolean (Is Allowed For Customer) Default: true Defines whether the address type can be used for customer addresses | |
Is Allowed For Service (boolean) or Is Allowed For Service (null) (Is Allowed For Service) Default: true Defines whether the address type can be used for service addresses | |
Any of boolean (Is Allowed For Service) Default: true Defines whether the address type can be used for service addresses | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "description": "Rechnungsadresse",
- "is_billing": true,
- "is_allowed_for_customer": true,
- "is_allowed_for_service": true
}Response samples
- 200
- 400
- 404
- 422
- 500
- default
{- "description": "Rechnungsadresse",
- "is_billing": true,
- "is_allowed_for_customer": true,
- "is_allowed_for_service": true,
- "address_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Delete Address Type
Delete an address type, if no address is assigned to it.
Authorizations:
path Parameters
| address_type_id required | string <uuid4> (Address Type Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/address-types/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 202
- 404
- 422
- 500
- 547
- default
{- "message": "string"
}Get All Address Types
Retrieve all address types with pagination, sorting and filtering.
Authorizations:
query Parameters
| skip | integer (Skip) >= 0 Default: 0 Number of records to skip |
| limit | integer (Limit) [ 1 .. 1000 ] Default: 100 Maximum number of records to return |
| sort_by | string (Sort By) Default: "last_change" Enum: "description" "is_billing" "is_allowed_for_customer" "is_allowed_for_service" "last_change" Field used for sorting |
| sort_order | string (Sort Order) Default: "asc" Enum: "asc" "desc" Sort direction |
Is Billing (boolean) or Is Billing (null) (Is Billing) Filter by billing flag using exact match | |
Is Allowed For Customer (boolean) or Is Allowed For Customer (null) (Is Allowed For Customer) Filter by customer address permission using exact match | |
Is Allowed For Service (boolean) or Is Allowed For Service (null) (Is Allowed For Service) Filter by service address permission using exact match | |
Description (string) or Description (null) (Description) Filter by description using LIKE |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/address-types?skip=0&limit=100&sort_by=description&sort_order=asc&is_billing=true&is_allowed_for_customer=true&is_allowed_for_service=true&description=string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- 500
- default
{- "total_count": 100,
- "items": [
- {
- "description": "Rechnungsadresse",
- "is_billing": true,
- "is_allowed_for_customer": true,
- "is_allowed_for_service": true,
- "address_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}
]
}Create Address Type
Create a new address type.
Authorizations:
Request Body schema: application/jsonrequired
| description required | string (Description) <= 200 characters Description of the address type |
| is_billing required | boolean (Is Billing) Marks the address type to use for billing, should be unique for a customer |
| is_allowed_for_customer | boolean (Is Allowed For Customer) Default: true Defines whether the address type can be used for customer addresses |
| is_allowed_for_service | boolean (Is Allowed For Service) Default: true Defines whether the address type can be used for service addresses |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "description": "Rechnungsadresse",
- "is_billing": true,
- "is_allowed_for_customer": true,
- "is_allowed_for_service": true
}Response samples
- 201
- 400
- 422
- 500
- default
{- "description": "Rechnungsadresse",
- "is_billing": true,
- "is_allowed_for_customer": true,
- "is_allowed_for_service": true,
- "address_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Get Company Legal Form By Id
Retrieve a specific company legal form by ID.
Authorizations:
path Parameters
| legal_form_id required | string <uuid4> (Legal Form Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/company-legal-forms/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 404
- 422
- 500
- default
{- "description": "GmbH",
- "legal_form_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Update Company Legal Form
Update a specific company legal form.
Authorizations:
path Parameters
| legal_form_id required | string <uuid4> (Legal Form Id) |
Request Body schema: application/jsonrequired
Description (string) or Description (null) (Description) Description of the company legal form | |
Any of <= 200 characters string (Description) <= 200 characters Description of the company legal form | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "description": "GmbH"
}Response samples
- 200
- 400
- 404
- 422
- 500
- default
{- "description": "GmbH",
- "legal_form_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}Delete Company Legal Form
Delete a specific company legal form.
Authorizations:
path Parameters
| legal_form_id required | string <uuid4> (Legal Form Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/company-legal-forms/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 202
- 404
- 422
- 500
- 547
- default
{- "message": "string"
}Get All Company Legal Forms
Retrieve all company legal forms with pagination, sorting and filtering.
Authorizations:
query Parameters
| skip | integer (Skip) >= 0 Default: 0 Number of records to skip |
| limit | integer (Limit) [ 1 .. 1000 ] Default: 100 Maximum number of records to return |
| sort_by | string (Sort By) Default: "last_change" Enum: "description" "last_change" Field used for sorting |
| sort_order | string (Sort Order) Default: "asc" Enum: "asc" "desc" Sort direction |
Description (string) or Description (null) (Description) Filter by description using LIKE |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/company-legal-forms?skip=0&limit=100&sort_by=description&sort_order=asc&description=string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- 500
- default
{- "total_count": 100,
- "items": [
- {
- "description": "GmbH",
- "legal_form_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}
]
}Create Company Legal Form
Create a new company legal form.
Authorizations:
Request Body schema: application/jsonrequired
| description required | string (Description) <= 200 characters Description of the company legal form |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "description": "GmbH"
}Response samples
- 201
- 400
- 422
- 500
- default
{- "description": "GmbH",
- "legal_form_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}